Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.crypt

# Record Class KnownServerKey.PluginSpecificData

java.lang.Object
java.lang.Record
org.firebirdsql.gds.ng.wire.crypt.KnownServerKey.PluginSpecificData

Record Components:
  `encryptionIdentifier` - encryption identifier
  `specificData` - plugin specific data (can be `null`)

Enclosing class:
  KnownServerKey

public static record KnownServerKey.PluginSpecificData(EncryptionIdentifier encryptionIdentifier, byte[] specificData) extends Record
Class to hold plugin specific data.

Since:
  5

## Constructor Summary

Constructors
Constructor
Description
`PluginSpecificData(EncryptionIdentifier encryptionIdentifier, byte[] specificData)`
Creates an instance of a `PluginSpecificData` record class.

## Method Summary

Modifier and Type
Method
Description
`EncryptionIdentifier`
`encryptionIdentifier()`
Returns the value of the `encryptionIdentifier` record component.
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`byte[]`
`specificData()`
Returns the value of the `specificData` record component.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PluginSpecificData

public PluginSpecificData(EncryptionIdentifier encryptionIdentifier, byte[] specificData)
Creates an instance of a `PluginSpecificData` record class.

Parameters:
  `encryptionIdentifier` - the value for the `encryptionIdentifier` record component
  `specificData` - the value for the `specificData` record component

## Method Details

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### encryptionIdentifier

public EncryptionIdentifier encryptionIdentifier()
Returns the value of the `encryptionIdentifier` record component.

Returns:
  the value of the `encryptionIdentifier` record component

### specificData

public byte[] specificData()
Returns the value of the `specificData` record component.

Returns:
  the value of the `specificData` record component